Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Primary_Expr Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Primary_Expr:

[legend]
Collaboration diagram for TAO_PSDL_Primary_Expr:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Primary_Expr (TAO_PSDL_Node *type_of_primary_expr)
| ****************************************************************
virtual | ~TAO_PSDL_Primary_Expr (void)
TAO_PSDL_Node * | type_of_primary_expr (void) const
| Get the value.
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | type_of_primary_expr_
| The values.

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Primary_Expr::TAO_PSDL_Primary_Expr | ( | TAO_PSDL_Node * | type_of_primary_expr | ) |

| ****************************************************************

TAO_PSDL_Primary_Expr::~TAO_PSDL_Primary_Expr | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Primary_Expr::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Primary_Expr::type_of_primary_expr | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Primary_Expr::type_of_primary_expr_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp